import { r as registerInstance, h } from './index-e9c7ceaa.js';
import { DataUnit, DataType, UserInterface } from '@sankhyalabs/core';

const testePesquisaCss = ":host{display:block}";

const TestePesquisa = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
  }
  componentWillLoad() {
    this.dataUnit = new DataUnit("testes_com_formulario");
    this.dataUnit.metadata = {
      name: "dd://br.com.sankhya.fin.cad.movimentacaoFinanceira/Financeiro",
      label: "Parceiro",
      fields: [
        {
          name: "CODPARC",
          label: "Parceiro",
          dataType: DataType.NUMBER,
          userInterface: UserInterface.SEARCH,
          required: true,
          properties: { ENTITYNAME: "Parceiro" }
        }
      ]
    };
  }
  render() {
    return (h("snk-application", null, h("ez-form", { dataUnit: this.dataUnit })));
  }
};
TestePesquisa.style = testePesquisaCss;

export { TestePesquisa as teste_pesquisa };
